Bug 25658 - Unreproducible crash in Safari at com.apple.JavaScriptCore • JSC::BytecodeGenerator::emitComplexJumpScopes + 468
Summary: Unreproducible crash in Safari at com.apple.JavaScriptCore • JSC::BytecodeGen...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: JavaScriptCore (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Normal
Assignee: Geoffrey Garen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2009-05-08 19:23 PDT by Geoffrey Garen
Modified: 2009-05-08 22:26 PDT (History)
2 users (show)

See Also:


Attachments
patch w/test (1.68 KB, patch)
2009-05-08 22:02 PDT, Geoffrey Garen
ggaren: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Geoffrey Garen 2009-05-08 19:23:04 PDT
Unreproducible crash report.

Seems most likely to happen at gmail.com or me.com.

Machine Configuration:	MacPro1,1 (3072 MB)
Process:         Safari [573]
Path:            /Applications/Safari.app/Contents/MacOS/Safari
Identifier:      com.apple.Safari
Version:         4 Public Beta (5528.16)
Build Info:      WebBrowser-55281600~1
Code Type:       X86 (Native)
Parent Process:  launchd [433]

Date/Time:       2009-02-24 09:29:48.038 -0800
OS Version:      Mac OS X 10.5.6 (9G55)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGSEGV)
Exception Codes: KERN_INVALID_ADDRESS at 0x000000001964fff4
Crashed Thread:  0

Thread 0 Crashed:
0   com.apple.JavaScriptCore      	0x95fb1604 JSC::BytecodeGenerator::emitComplexJumpScopes(JSC::Label*, JSC::ControlFlowContext*, JSC::ControlFlowContext*) + 468
1   com.apple.JavaScriptCore      	0x95f8ba6d JSC::BytecodeGenerator::emitJumpScopes(JSC::Label*, int) + 301
2   com.apple.JavaScriptCore      	0x95f63d43 JSC::ReturnNode::emitBytecode(JSC::BytecodeGenerator&, JSC::RegisterID*) + 259
3   com.apple.JavaScriptCore      	0x95ef2978 JSC::BytecodeGenerator::emitNode(JSC::RegisterID*, JSC::Node*) + 184
4   com.apple.JavaScriptCore      	0x95f60228 JSC::BlockNode::emitBytecode(JSC::BytecodeGenerator&, JSC::RegisterID*) + 56
5   com.apple.JavaScriptCore      	0x95ef2978 JSC::BytecodeGenerator::emitNode(JSC::RegisterID*, JSC::Node*) + 184
6   com.apple.JavaScriptCore      	0x95f60174 JSC::IfNode::emitBytecode(JSC::BytecodeGenerator&, JSC::RegisterID*) + 132
7   com.apple.JavaScriptCore      	0x95ef2978 JSC::BytecodeGenerator::emitNode(JSC::RegisterID*, JSC::Node*) + 184
8   com.apple.JavaScriptCore      	0x95f60228 JSC::BlockNode::emitBytecode(JSC::BytecodeGenerator&, JSC::RegisterID*) + 56
9   com.apple.JavaScriptCore      	0x95ef2978 JSC::BytecodeGenerator::emitNode(JSC::RegisterID*, JSC::Node*) + 184
10  com.apple.JavaScriptCore      	0x95fa6363 JSC::TryNode::emitBytecode(JSC::BytecodeGenerator&, JSC::RegisterID*) + 419
11  com.apple.JavaScriptCore      	0x95ef2978 JSC::BytecodeGenerator::emitNode(JSC::RegisterID*, JSC::Node*) + 184
12  com.apple.JavaScriptCore      	0x95f60228 JSC::BlockNode::emitBytecode(JSC::BytecodeGenerator&, JSC::RegisterID*) + 56
13  com.apple.JavaScriptCore      	0x95ef2978 JSC::BytecodeGenerator::emitNode(JSC::RegisterID*, JSC::Node*) + 184
14  com.apple.JavaScriptCore      	0x95f62c84 JSC::FunctionBodyNode::emitBytecode(JSC::BytecodeGenerator&, JSC::RegisterID*) + 100
15  com.apple.JavaScriptCore      	0x95ef1a5f JSC::BytecodeGenerator::generate() + 31
16  com.apple.JavaScriptCore      	0x95f91b57 JSC::FunctionBodyNode::bytecodeForExceptionInfoReparse(JSC::ScopeChainNode*, JSC::CodeBlock*) + 263
17  com.apple.JavaScriptCore      	0x95f91138 JSC::CodeBlock::reparseForExceptionInfoIfNecessary(JSC::ExecState*) + 248
18  com.apple.JavaScriptCore      	0x95f9ce0e JSC::Interpreter::unwindCallFrame(JSC::ExecState*&, JSC::JSValuePtr, unsigned int&, JSC::CodeBlock*&) + 478
19  com.apple.JavaScriptCore      	0x95f9bf41 JSC::Interpreter::throwException(JSC::ExecState*&, JSC::JSValuePtr&, unsigned int, bool) + 401
20  com.apple.JavaScriptCore      	0x95f9d15f JSC::Interpreter::cti_vm_throw(void*, ...) + 239
21  com.apple.JavaScriptCore      	0x95fe3523 ctiVMThrowTrampoline + 5
22  com.apple.JavaScriptCore      	0x95eef02c JSC::Interpreter::execute(JSC::ProgramNode*, JSC::ExecState*, JSC::ScopeChainNode*, JSC::JSObject*, JSC::JSValuePtr*) + 556
23  com.apple.JavaScriptCore      	0x95ed9a8a JSC::evaluate(JSC::ExecState*, JSC::ScopeChain&, JSC::SourceCode const&, JSC::JSValuePtr) + 378
24  com.apple.WebCore             	0x94366c64 WebCore::ScriptController::evaluate(WebCore::ScriptSourceCode const&) + 228
25  com.apple.WebCore             	0x94366b11 WebCore::FrameLoader::executeScript(WebCore::ScriptSourceCode const&) + 129
26  com.apple.WebCore             	0x943ed4ac WebCore::HTMLTokenizer::scriptExecution(WebCore::ScriptSourceCode const&, WebCore::HTMLTokenizer::State) + 204
27  com.apple.WebCore             	0x943ec1f8 WebCore::HTMLTokenizer::scriptHandler(WebCore::HTMLTokenizer::State) + 4248
28  com.apple.WebCore             	0x943e9631 WebCore::HTMLTokenizer::parseSpecial(WebCore::SegmentedString&, WebCore::HTMLTokenizer::State) + 2289
29  com.apple.WebCore             	0x94380105 WebCore::HTMLTokenizer::parseTag(WebCore::SegmentedString&, WebCore::HTMLTokenizer::State) + 9413
30  com.apple.WebCore             	0x9437d7bd WebCore::HTMLTokenizer::write(WebCore::SegmentedString const&, bool) + 2765
31  com.apple.WebCore             	0x9432d1e6 WebCore::FrameLoader::write(char const*, int, bool) + 438
32  com.apple.WebCore             	0x9437b5e7 WebCore::FrameLoader::addData(char const*, int) + 39
33  com.apple.WebKit              	0x94c04d9d -[WebFrame(WebInternal) _receivedData:textEncodingName:] + 141
34  com.apple.WebKit              	0x94c04cbd -[WebHTMLRepresentation receivedData:withDataSource:] + 509
35  com.apple.WebKit              	0x94c04a5b -[WebDataSource(WebInternal) _receivedData:] + 91
36  com.apple.WebKit              	0x94c049d9 WebFrameLoaderClient::committedLoad(WebCore::DocumentLoader*, char const*, int) + 137
37  com.apple.WebCore             	0x94377c86 WebCore::DocumentLoader::commitLoad(char const*, int) + 70
38  com.apple.WebCore             	0x94377815 WebCore::ResourceLoader::didReceiveData(char const*, int, long long, bool) + 69
39  com.apple.WebCore             	0x94377767 WebCore::MainResourceLoader::didReceiveData(char const*, int, long long, bool) + 71
40  com.apple.WebCore             	0x943b8e98 WebCore::ResourceLoader::didReceiveData(WebCore::ResourceHandle*, char const*, int, int) + 56
41  com.apple.Foundation          	0x92ae0707 -[NSURLConnection(NSURLConnectionReallyInternal) sendDidReceiveData:originalLength:] + 119
42  com.apple.Foundation          	0x92ae0651 _NSURLConnectionDidReceiveData + 177
43  com.apple.CFNetwork           	0x9008192a URLConnectionClient::sendOrBufferData(__CFData const*) + 172
44  com.apple.CFNetwork           	0x900821b2 URLConnectionClient::clientDidFinishLoading() + 108
45  com.apple.CFNetwork           	0x90080d31 URLConnectionClient::ClientConnectionEventQueue::processAllEventsAndConsumePayload(XConnectionEventInfo<XClientEvent, XClientEventParams>*, long) + 281
46  com.apple.CFNetwork           	0x90081d70 URLConnectionClient::processEvents() + 114
47  com.apple.CFNetwork           	0x90031b6b MultiplexerSource::perform() + 189
48  com.apple.CoreFoundation      	0x91a6f5f5 CFRunLoopRunSpecific + 3141
49  com.apple.CoreFoundation      	0x91a6fcd8 CFRunLoopRunInMode + 88
50  com.apple.HIToolbox           	0x924ba2c0 RunCurrentEventLoopInMode + 283
51  com.apple.HIToolbox           	0x924ba0d9 ReceiveNextEventCommon + 374
52  com.apple.HIToolbox           	0x924b9f4d BlockUntilNextEventMatchingListInMode + 106
53  com.apple.AppKit              	0x933e0d7d _DPSNextEvent + 657
54  com.apple.AppKit              	0x933e0630 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
55  com.apple.Safari              	0x0002ceee 0x1000 + 179950
56  com.apple.AppKit              	0x933d966b -[NSApplication run] + 795
57  com.apple.AppKit              	0x933a68a4 NSApplicationMain + 574
58  com.apple.Safari              	0x00003306 0x1000 + 8966

Thread 1:
0   libSystem.B.dylib             	0x920973ae __semwait_signal + 10
1   libSystem.B.dylib             	0x920c1d0d pthread_cond_wait$UNIX2003 + 73
2   com.apple.WebCore             	0x942f63c4 WebCore::IconDatabase::syncThreadMainLoop() + 244
3   com.apple.WebCore             	0x942f28e5 WebCore::IconDatabase::iconDatabaseSyncThread() + 181
4   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
5   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x920901c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x920979bc mach_msg + 72
2   com.apple.CoreFoundation      	0x91a6f0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x91a6fcd8 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork           	0x90005ebe CFURLCacheWorkerThread(void*) + 396
5   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
6   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 3:
0   libSystem.B.dylib             	0x920901c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x920979bc mach_msg + 72
2   com.google.Gears              	0x01a93bbd google_breakpad::ExceptionHandler::WaitForMessage(void*) + 125
3   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
4   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x920973ae __semwait_signal + 10
1   libSystem.B.dylib             	0x920c1d0d pthread_cond_wait$UNIX2003 + 73
2   com.apple.WebCore             	0x943555e0 WebCore::LocalStorageThread::localStorageThread() + 160
3   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
4   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x920901c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x920979bc mach_msg + 72
2   com.apple.CoreFoundation      	0x91a6f0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x91a6fcd8 CFRunLoopRunInMode + 88
4   com.apple.Safari              	0x00188f9d 0x1000 + 1605533
5   com.apple.Safari              	0x001866f3 0x1000 + 1595123
6   com.apple.Safari              	0x001867a1 0x1000 + 1595297
7   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
8   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x920901c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x920979bc mach_msg + 72
2   com.apple.CoreFoundation      	0x91a6f0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x91a6fcd8 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x92aded40 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
5   com.apple.Foundation          	0x92a7b7ed -[NSThread main] + 45
6   com.apple.Foundation          	0x92a7b394 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
8   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 7:
0   libSystem.B.dylib             	0x920df6f2 select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
2   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 8:
0   libSystem.B.dylib             	0x920901c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x920979bc mach_msg + 72
2   com.apple.CoreFoundation      	0x91a6f0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x91a6fd34 CFRunLoopRun + 84
4   com.apple.QuickTime           	0x9726a212 QTSNetworkThread_RunThread + 131
5   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
6   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 9:
0   libSystem.B.dylib             	0x920901c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x920979bc mach_msg + 72
2   com.apple.CoreFoundation      	0x91a6f0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x91a6fcd8 CFRunLoopRunInMode + 88
4   com.apple.audio.CoreAudio     	0x932495dc HALRunLoop::OwnThread(void*) + 160
5   com.apple.audio.CoreAudio     	0x93249464 CAPThread::Entry(CAPThread*) + 96
6   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
7   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 10:
0   libSystem.B.dylib             	0x920973ae __semwait_signal + 10
1   libSystem.B.dylib             	0x920c1d0d pthread_cond_wait$UNIX2003 + 73
2   libGLProgrammability.dylib    	0x900c8b32 glvmDoWork + 162
3   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
4   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 11:
0   libSystem.B.dylib             	0x920973ae __semwait_signal + 10
1   libSystem.B.dylib             	0x920c1d0d pthread_cond_wait$UNIX2003 + 73
2   com.apple.Safari              	0x000f1cdb 0x1000 + 986331
3   com.apple.Safari              	0x000f2321 0x1000 + 987937
4   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
5   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 12:
0   libSystem.B.dylib             	0x920973ae __semwait_signal + 10
1   libSystem.B.dylib             	0x920c1d0d pthread_cond_wait$UNIX2003 + 73
2   com.apple.ColorSync           	0x95b4545c pthreadSemaphoreWait(t_pthreadSemaphore*) + 42
3   com.apple.ColorSync           	0x95b57d8e CMMConvTask(void*) + 54
4   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
5   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 13:
0   libSystem.B.dylib             	0x920973ae __semwait_signal + 10
1   libSystem.B.dylib             	0x920c1d0d pthread_cond_wait$UNIX2003 + 73
2   com.apple.ColorSync           	0x95b4545c pthreadSemaphoreWait(t_pthreadSemaphore*) + 42
3   com.apple.ColorSync           	0x95b57d8e CMMConvTask(void*) + 54
4   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
5   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 14:
0   libSystem.B.dylib             	0x920973ae __semwait_signal + 10
1   libSystem.B.dylib             	0x920c1d0d pthread_cond_wait$UNIX2003 + 73
2   com.apple.ColorSync           	0x95b4545c pthreadSemaphoreWait(t_pthreadSemaphore*) + 42
3   com.apple.ColorSync           	0x95b57d8e CMMConvTask(void*) + 54
4   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
5   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 15:
0   libSystem.B.dylib             	0x920f9292 __workq_ops + 10
1   libSystem.B.dylib             	0x920f92c2 start_wqthread + 30

Thread 16:
0   ???                           	0000000000 0 + 0

Thread 17:
0   ???                           	0000000000 0 + 0

Thread 18:
0   ???                           	0000000000 0 + 0

Thread 19:
0   libSystem.B.dylib             	0x92090226 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x920c21ef _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x920c3a73 pthread_cond_timedwait_relative_np + 47
3   com.apple.Foundation          	0x92ac175c -[NSCondition waitUntilDate:] + 236
4   com.apple.Foundation          	0x92ac1570 -[NSConditionLock lockWhenCondition:beforeDate:] + 144
5   com.apple.Foundation          	0x92ac14d5 -[NSConditionLock lockWhenCondition:] + 69
6   com.apple.AppKit              	0x93446d90 -[NSUIHeartBeat _heartBeatThread:] + 753
7   com.apple.Foundation          	0x92a7b7ed -[NSThread main] + 45
8   com.apple.Foundation          	0x92a7b394 __NSThread__main__ + 308
9   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
10  libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 20:
0   libSystem.B.dylib             	0x920973ae __semwait_signal + 10
1   libSystem.B.dylib             	0x920c1d0d pthread_cond_wait$UNIX2003 + 73
2   com.apple.QuartzCore          	0x96555ab9 fe_fragment_thread + 54
3   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
4   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 21:
0   libSystem.B.dylib             	0x920973ae __semwait_signal + 10
1   libSystem.B.dylib             	0x920c1d0d pthread_cond_wait$UNIX2003 + 73
2   com.apple.QuartzCore          	0x96555ab9 fe_fragment_thread + 54
3   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
4   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 22:
0   libSystem.B.dylib             	0x920973ae __semwait_signal + 10
1   libSystem.B.dylib             	0x920c1d0d pthread_cond_wait$UNIX2003 + 73
2   com.apple.QuartzCore          	0x96555ab9 fe_fragment_thread + 54
3   libSystem.B.dylib             	0x920c1095 _pthread_start + 321
4   libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 23:
0   libSystem.B.dylib             	0x920901c6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x920979bc mach_msg + 72
2   com.apple.CoreFoundation      	0x91a6f0ae CFRunLoopRunSpecific + 1790
3   com.apple.CoreFoundation      	0x91a6fcd8 CFRunLoopRunInMode + 88
4   com.google.Gears              	0x01a8da3e AsyncTask::MakeHttpRequest(unsigned short const*, unsigned short const*, bool, unsigned short const*, unsigned short const*, unsigned short const*, unsigned short const*, bool, BlobInterface*, WebCacheDB::PayloadInfo*, scoped_refptr<BlobInterface>*, bool*, std::basic_string<unsigned short, std::char_traits<unsigned short>, std::allocator<unsigned short> >*, std::basic_string<unsigned short, std::char_traits<unsigned short>, std::allocator<unsigned short> >*) + 654
5   com.google.Gears              	0x01a8e023 AsyncTask::HttpGet(unsigned short const*, bool, unsigned short const*, unsigned short const*, unsigned short const*, WebCacheDB::PayloadInfo*, scoped_refptr<BlobInterface>*, bool*, std::basic_string<unsigned short, std::char_traits<unsigned short>, std::allocator<unsigned short> >*, std::basic_string<unsigned short, std::char_traits<unsigned short>, std::allocator<unsigned short> >*) + 131
6   com.google.Gears              	0x01a62d62 UpdateTask::HttpGetUrl(unsigned short const*, bool, unsigned short const*, unsigned short const*, WebCacheDB::PayloadInfo*, bool*, std::basic_string<unsigned short, std::char_traits<unsigned short>, std::allocator<unsigned short> >*) + 162
7   com.google.Gears              	0x01a6367d UpdateTask::UpdateManifest(std::basic_string<unsigned short, std::char_traits<unsigned short>, std::allocator<unsigned short> >*, bool) + 413
8   com.google.Gears              	0x01a64c02 UpdateTask::Run() + 226
9   com.google.Gears              	0x01a6636e UpdateTaskSingleProcess::Run() + 30
10  com.google.Gears              	0x01a8d29c AsyncTask::ThreadEntry(void*) + 76
11  libSystem.B.dylib             	0x920c1095 _pthread_start + 321
12  libSystem.B.dylib             	0x920c0f52 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0xbfffa29c  ebx: 0x95f63c58  ecx: 0xbfffa2b4  edx: 0x00000000
  edi: 0xbfff3a94  esi: 0x1964fff4  ebp: 0x00000000  esp: 0xbfff3a10
   ss: 0x0000001f  efl: 0x00210212  eip: 0x95fb1604   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0x1964fff4

Binary Images:
    0x1000 -   0x266fe2  com.apple.Safari 4 Public Beta (5528.16) <88923208ea437fc8b5a5e5cd4f1924d5> /Applications/Safari.app/Contents/MacOS/Safari
  0x2c1000 -   0x2d0ffc  SyndicationUI ??? (???) <408d1e186315965e65a4562de17589be> /System/Library/PrivateFrameworks/SyndicationUI.framework/Versions/A/SyndicationUI
  0x52f000 -   0x530ffa +com.google.GearsEnabler ??? (1.0) <f4619f1c37ae37dfdf6af70894fa2776> /Library/InputManagers/GearsEnabler/GearsEnabler.bundle/Contents/MacOS/GearsEnabler
  0x53c000 -   0x732fff  com.apple.RawCamera.bundle 2.0.12 (421) <02fe3f4ea6251f7b2d23d855ce5c5fd2> /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
  0x7ce000 -   0x7ceff8 +com.google.Gears 1.0 (0.5.4.2) <54b02d58fedb5ac332ef71544d50f79c> /Library/Internet Plug-Ins/Gears.plugin/Contents/MacOS/libgears.dylib
 0x19c5000 -  0x19f0ffb  libcurl.3.dylib ??? (???) <54ada27deb3b4ff7043d8836264eca0d> /usr/lib/libcurl.3.dylib
 0x19fa000 -  0x1c04fe7 +com.google.Gears 1.0 (0.5.4.2) <a534110d875f1939bf233d22c57d3d6d> /Library/Internet Plug-Ins/Gears.plugin/Contents/Resources/Gears.bundle/Contents/MacOS/libgears.dylib
 0x20a7000 -  0x20a7ffe  com.apple.JavaPluginCocoa 12.2.0 (12.2.0) <b08d1285182ffcbaedd747d17fdaeefd> /Library/Internet Plug-Ins/JavaPluginCocoa.bundle/Contents/MacOS/JavaPluginCocoa
 0x20ad000 -  0x20b3ffd  com.apple.JavaVM 12.2.2 (12.2.2) <9ad39149cc7ecc91da3e93df7f61d315> /System/Library/Frameworks/JavaVM.framework/Versions/A/JavaVM
 0x21c4000 -  0x21d2feb  libSimplifiedChineseConverter.dylib ??? (???) <548d5a699dbe2bb8fcc8275321fdc0d4> /System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
 0x21ed000 -  0x21eeff3  ATSHI.dylib ??? (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/ATSHI.dylib
0x15b49000 - 0x15b4cfff  com.apple.audio.AudioIPCPlugIn 1.0.5 (1.0.5) <e7424df9b53076d04045fb2e0132b2d0> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
0x15b52000 - 0x15b57fff  com.apple.audio.AppleHDAHALPlugIn 1.6.2 (1.6.2a37) /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
0x163d5000 - 0x163daff3  libCGXCoreImage.A.dylib ??? (???) <375e0cdb64b043378dbf637992bbfeb0> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
0x173b7000 - 0x17593ff6 +com.elgato.mpegsupport EyeTV MPEG Support 1.1.0 (build 48) (1.0.9) /Library/QuickTime/EyeTV MPEG Support.component/Contents/MacOS/EyeTV MPEG Support
0x1769e000 - 0x178e1fde +net.telestream.wmv.import 2.2.1.11 (2.2.1.11) /Library/QuickTime/Flip4Mac WMV Import.component/Contents/MacOS/Flip4Mac WMV Import
0x17919000 - 0x17a7afe1  com.apple.QuickTimeStreaming.component 7.6 (1290) <a3b458f28441d70aa3e99c837f26e490> /System/Library/QuickTime/QuickTimeStreaming.component/Contents/MacOS/QuickTimeStreaming
0x17add000 - 0x17afcfed  com.apple.audio.CoreAudioKit 1.5 (1.5) <82f2e52c502db7f3b32349a54209a0fe> /System/Library/Frameworks/CoreAudioKit.framework/Versions/A/CoreAudioKit
0x17d13000 - 0x17ee0fe7  com.apple.audio.codecs.Components 1.6.5 (1.6.5) /System/Library/Components/AudioCodecs.component/Contents/MacOS/AudioCodecs
0x180dd000 - 0x180f9ff7  GLRendererFloat ??? (???) <dcdc2e0de7fb9a52d99e529c3688f26d> /System/Library/Frameworks/OpenGL.framework/Versions/A/Resources/GLRendererFloat.bundle/GLRendererFloat
0x18200000 - 0x18383fe3  GLEngine ??? (???) <bfbd7ce69ea896a6b38d6232b01cdeda> /System/Library/Frameworks/OpenGL.framework/Resources/GLEngine.bundle/GLEngine
0x183b1000 - 0x18538ffb  com.apple.GeForceFXGLDriver 1.5.36 (5.3.6) <e19f45b2fa183c8acfa063a18ce3538d> /System/Library/Extensions/GeForceFXGLDriver.bundle/Contents/MacOS/GeForceFXGLDriver
0x198db000 - 0x198edfff  libTraditionalChineseConverter.dylib ??? (???) <89ec94121ef50601dc538548caae57fc> /System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x1a1c6000 - 0x1a1e2fe7  libPDFRIP.A.dylib ??? (???) <bf4ccb6e46bd2d18896a752e0e2f94b8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libPDFRIP.A.dylib
0x1a89a000 - 0x1aab7ff8 +org.perian.Perian 1.1.1 (1.1.1) <c8596dfb96dc68c93c5e33a205276e99> /Users/pchinn/Library/QuickTime/Perian.component/Contents/MacOS/Perian
0x1accb000 - 0x1b2f1fd3 +com.macromedia.Flash Player.plugin 10.0.12.36 (1.0.4f362) <38aeb67f6a0b43c6a341d7936603e84a> /Library/Internet Plug-Ins/Flash Player.plugin/Contents/MacOS/Flash Player
0x1b8bb000 - 0x1b8defe7  com.apple.AppleProResDecoder 1.0.1 (53) /System/Library/QuickTime/AppleProResDecoder.component/Contents/MacOS/AppleProResDecoder
0x1b910000 - 0x1b910ffd  libmx.A.dylib ??? (???) /usr/lib/libmx.A.dylib
0x1b914000 - 0x1b94ffff  com.apple.QuickTimeFireWireDV.component 7.6 (1290) /System/Library/QuickTime/QuickTimeFireWireDV.component/Contents/MacOS/QuickTimeFireWireDV
0x1b95c000 - 0x1b976fc3  com.apple.AppleIntermediateCodec 1.2 (145) /Library/QuickTime/AppleIntermediateCodec.component/Contents/MacOS/AppleIntermediateCodec
0x1b97b000 - 0x1b980ff7  com.apple.AppleMPEG2Codec 1.0.1 (220) <aed7e508df82301fd0a4db1acc0bb9fb> /Library/QuickTime/AppleMPEG2Codec.component/Contents/MacOS/AppleMPEG2Codec
0x1b991000 - 0x1bb54fea +net.telestream.wmv.advanced 2.2.1.11 (2.2.1.11) /Library/QuickTime/Flip4Mac WMV Advanced.component/Contents/MacOS/Flip4Mac WMV Advanced
0x1bb98000 - 0x1bbfdfef  com.apple.AppleVAH264HW.component 1.0 (1.0) <49e6103f4d0f364517a5c37bd29b08d7> /System/Library/QuickTime/AppleVAH264HW.component/Contents/MacOS/AppleVAH264HW
0x1bcb8000 - 0x1bd04fe3  com.apple.AppleVAFramework 4.1.14 (4.1.14) /System/Library/PrivateFrameworks/AppleVA.framework/Versions/A/AppleVA
0x1bd0d000 - 0x1bd26ff3  com.apple.applepixletvideo 1.2.18 (1.2d18) <b0e7bf7f2d8c5ffc4e57dd7137192299> /System/Library/QuickTime/ApplePixletVideo.component/Contents/MacOS/ApplePixletVideo
0x1bd2b000 - 0x1c100fe5  QuickTimeH264.scalar ??? (???) <c924f21b0e1b3bf4f50a49c18d526cf6> /System/Library/QuickTime/QuickTimeH264.component/Contents/Resources/QuickTimeH264.scalar
0x70000000 - 0x700e6ff2  com.apple.audio.units.Components 1.5.2 (1.5.2) /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
0x8fe00000 - 0x8fe2db43  dyld 97.1 (???) <100d362e03410f181a34e04e94189ae5> /usr/lib/dyld
0x90003000 - 0x900a0fe4  com.apple.CFNetwork 422.15.2 (422.15.2) <80851410a5592b7c3b149b2ff849bcc1> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x900a1000 - 0x90572f3e  libGLProgrammability.dylib ??? (???) <5d283543ac844e7c6fa3440ac56cd265> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x90573000 - 0x9154eff6  com.apple.QuickTimeComponents.component 7.6 (1290) /System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x9154f000 - 0x9154fffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x9155c000 - 0x9158bfe3  com.apple.AE 402.3 (402.3) <4cb9ef65cf116d6dd424f0ce98c2d015> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x9158c000 - 0x915a2fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x915a3000 - 0x919b3fef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x919b4000 - 0x919befeb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x919d7000 - 0x919fbfeb  libssl.0.9.7.dylib ??? (???) <c7359b7ab32b5f8574520746e10a41cc> /usr/lib/libssl.0.9.7.dylib
0x919fc000 - 0x91b2ffff  com.apple.CoreFoundation 6.5.5 (476.17) <4a70c8dbb582118e31412c53dc1f407f> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x91b30000 - 0x91b45ffb  com.apple.ImageCapture 5.0.1 (5.0.1) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x91b46000 - 0x91b54ffd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x91b55000 - 0x91b57ff5  libRadiance.dylib ??? (???) <8a844202fcd65662bb9ab25f08c45a62> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91b58000 - 0x91b61fff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x91b62000 - 0x91ba1fef  libTIFF.dylib ??? (???) <3589442575ac77746ae99ecf724f5f87> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91bb4000 - 0x91c95ff7  libxml2.2.dylib ??? (???) <306036e0070330e35045650e6d9f0d05> /usr/lib/libxml2.2.dylib
0x91c96000 - 0x91d48ffb  libcrypto.0.9.7.dylib ??? (???) <69bc2457aa23f12fa7d052601d48fa29> /usr/lib/libcrypto.0.9.7.dylib
0x91d49000 - 0x91d74fe7  libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
0x91dc4000 - 0x91dd4ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <8b7831b5f74a950a56cf2d22a2d436f6> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91dd5000 - 0x91ddcfe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x91ddd000 - 0x91e0afeb  libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x91e0b000 - 0x91e64ff7  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x91e65000 - 0x91f0cfeb  com.apple.QD 3.11.54 (???) <b743398c24c38e581a86e91744a2ba6e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x91f0d000 - 0x91f0dffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x91f0e000 - 0x9208efef  com.apple.CoreAUC 3.02.0 (3.02.0) <e9c0220542fac5c62ef3b79aa791252f> /System/Library/PrivateFrameworks/CoreAUC.framework/Versions/A/CoreAUC
0x9208f000 - 0x921f6ff3  libSystem.B.dylib ??? (???) <d68880dfb1f8becdbdac6928db1510fb> /usr/lib/libSystem.B.dylib
0x921f7000 - 0x921f7ffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x921f8000 - 0x9223afef  com.apple.NavigationServices 3.5.2 (163) <91844980804067b07a0b6124310d3f31> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x922b0000 - 0x922d8fff  libcups.2.dylib ??? (???) <16bec7c6a004f744804e2281a1b1c094> /usr/lib/libcups.2.dylib
0x922d9000 - 0x92358ff5  com.apple.SearchKit 1.2.1 (1.2.1) <3140a605db2abf56b237fa156a08b28b> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x92359000 - 0x923fcff3  com.apple.QuickTimeImporters.component 7.6 (1290) /System/Library/QuickTime/QuickTimeImporters.component/Contents/MacOS/QuickTimeImporters
0x923fd000 - 0x92437ffe  com.apple.securityfoundation 3.0.1 (35844) <2fbb6a1177ef98350b8aefc60737ba0e> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x92438000 - 0x92489ff7  com.apple.HIServices 1.7.0 (???) <01b690d1f376e400ac873105533e39eb> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x9248a000 - 0x92792fff  com.apple.HIToolbox 1.5.4 (???) <3747086ba21ee419708a5cab946c8ba6> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x92793000 - 0x927cafff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <8b26ebf26a009a098484f1ed01ec499c> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x927cb000 - 0x927cbffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x927cc000 - 0x927ccfff  com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x927cd000 - 0x9284afef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x9289d000 - 0x928a2fff  com.apple.DisplayServicesFW 2.0.2 (2.0.2) <97878a73074e7da4fe31ea010a5d5ae1> /System/Library/PrivateFrameworks/DisplayServices.framework/Versions/A/DisplayServices
0x928a3000 - 0x928aafff  com.apple.agl 3.0.9 (AGL-3.0.9) <2f39c480cfcee9358a23d61b20a6aa56> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x928ab000 - 0x9291dfff  com.apple.PDFKit 2.1.2 (2.1.2) /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/PDFKit.framework/Versions/A/PDFKit
0x9291e000 - 0x92a70ff3  com.apple.audio.toolbox.AudioToolbox 1.5.2 (1.5.2) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x92a71000 - 0x92cecfe7  com.apple.Foundation 6.5.7 (677.22) <8fe77b5d15ecdae1240b4cb604fc6d0b> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92ced000 - 0x92cedff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x92cee000 - 0x92d06fff  com.apple.openscripting 1.2.8 (???) <572c7452d7e740e8948a5ad07a99602b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92d07000 - 0x92d2fff7  com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x92d30000 - 0x92dbbfff  com.apple.framework.IOKit 1.5.1 (???) <f9f5f0d070e197a832d86751e1d44545> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x92e2a000 - 0x92fa9fff  com.apple.AddressBook.framework 4.1.1 (699) <60ddae72a1df8ddbc5c53df92f372b76> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x92faa000 - 0x92fadfff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x92fae000 - 0x93077fef  com.apple.QuickTimeMPEG4.component 7.6 (1290) /System/Library/QuickTime/QuickTimeMPEG4.component/Contents/MacOS/QuickTimeMPEG4
0x93078000 - 0x930c2fe1  com.apple.securityinterface 3.0.1 (35183) <f855cb06d2541ce544d9bcdf998b991c> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x930c3000 - 0x930cfffe  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x930ed000 - 0x930f8fe7  libCSync.A.dylib ??? (???) <e6aceed359bd228f42bc1246af5919c9> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x930f9000 - 0x9318cff3  com.apple.ApplicationServices.ATS 3.4 (???) <8c51de0ec3deaef416578cd59df38754> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9318d000 - 0x9318ffff  com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x93190000 - 0x931cffff  com.apple.CoreMediaIOServicesPrivate 15.0 (15.0) /System/Library/PrivateFrameworks/CoreMediaIOServicesPrivate.framework/Versions/A/CoreMediaIOServicesPrivate
0x9320d000 - 0x9322bfff  libresolv.9.dylib ??? (???) <a8018c42930596593ddf27f7c20fe7af> /usr/lib/libresolv.9.dylib
0x9322c000 - 0x932a9feb  com.apple.audio.CoreAudio 3.1.1 (3.1.1) <f35477a5e23db0fa43233c37da01ae1c> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x932aa000 - 0x932b6ff9  com.apple.helpdata 1.0.1 (14.2) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x932b7000 - 0x932b9ff1  com.apple.QuickTimeH264.component 7.6 (1290) /System/Library/QuickTime/QuickTimeH264.component/Contents/MacOS/QuickTimeH264
0x932ba000 - 0x9339fff3  com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x933a0000 - 0x93b9efef  com.apple.AppKit 6.5.6 (949.43) <a3a300499bbe4f1dfebf71d752d01916> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x93b9f000 - 0x93f5dfea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x941c7000 - 0x941c9fff  com.apple.CrashReporterSupport 10.5.5 (159) <4ca9b6643fcbafd76424a46d162363eb> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x941ca000 - 0x941d7fe7  com.apple.opengl 1.5.9 (1.5.9) <7e5048a2677b41098c84045305f42f7f> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x941d8000 - 0x94235ffb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x94236000 - 0x942edff3  com.apple.QTKit 7.6 (1290) /System/Library/Frameworks/QTKit.framework/Versions/A/QTKit
0x942ee000 - 0x942efffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x942f0000 - 0x94b7afff  com.apple.WebCore 5528 (5528.16) <7e28871fe2b59d98edd6e624d850ccb8> /System/Library/Frameworks/WebKit.framework/Versions/A/Frameworks/WebCore.framework/Versions/A/WebCore
0x94b7b000 - 0x94b99ff3  com.apple.DirectoryService.Framework 3.5.5 (3.5.5) <f8931f64103c8a86b82e9714352f4323> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x94b9a000 - 0x94be9fff  com.apple.QuickLookUIFramework 1.3.1 (170.9) /System/Library/PrivateFrameworks/QuickLookUI.framework/Versions/A/QuickLookUI
0x94bea000 - 0x94cbefef  com.apple.WebKit 5528 (5528.16) <24ccae21ccfe5c21c2a78656983324c1> /System/Library/Frameworks/WebKit.framework/Versions/A/WebKit
0x94cbf000 - 0x94d46ff7  libsqlite3.0.dylib ??? (???) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib
0x94d47000 - 0x94dadffb  com.apple.ISSupport 1.7 (38.2) /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
0x94dae000 - 0x94ea2ff4  libiconv.2.dylib ??? (???) <c508c60fafca17824c0017b2e4369802> /usr/lib/libiconv.2.dylib
0x94ea3000 - 0x94eaaffe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x94eab000 - 0x94ee5fe7  com.apple.coreui 1.2 (62) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x94fc8000 - 0x95668fff  com.apple.CoreGraphics 1.407.2 (???) <3a91d1037afde01d1d8acdf9cd1caa14> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x95669000 - 0x9569bfff  com.apple.LDAPFramework 1.4.5 (110) <cc04500cf7b6edccc75bb3fe2973f72c> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x9569c000 - 0x956abffe  com.apple.DSObjCWrappers.Framework 1.2.1 (1.2.1) <eac1c7b7c07ed3148c85934b6f656308> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x956b1000 - 0x956fafef  com.apple.Metadata 10.5.2 (398.25) <e0572f20350523116f23000676122a8d> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x956fb000 - 0x95718ff7  com.apple.QuickLookFramework 1.3.1 (170.9) /System/Library/Frameworks/QuickLook.framework/Versions/A/QuickLook
0x95719000 - 0x9571efff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x9571f000 - 0x95723fff  libGIF.dylib ??? (???) <572a32e46e33be1ec041c5ef5b0341ae> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x95759000 - 0x95820ff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x95821000 - 0x95839ff7  com.apple.CoreVideo 1.6.0 (20.0) <c0d869876af51283a160cd2224a23abf> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x9583f000 - 0x9583fffe  com.apple.quartzframework 1.5 (1.5) <4b8f505e32e4f2d67967a276401f9aaf> /System/Library/Frameworks/Quartz.framework/Versions/A/Quartz
0x95840000 - 0x958cafe3  com.apple.DesktopServices 1.4.7 (1.4.7) <d16642ba22c32f67be793ebfbe67ca3a> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x958cb000 - 0x958effff  libxslt.1.dylib ??? (???) <0a9778d6368ae668826f446878deb99b> /usr/lib/libxslt.1.dylib
0x95935000 - 0x959afff8  com.apple.print.framework.PrintCore 5.5.3 (245.3) <222dade7b33b99708b8c09d1303f93fc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x95b12000 - 0x95bddfff  com.apple.ColorSync 4.5.1 (4.5.1) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x95bde000 - 0x95bdeff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x95bdf000 - 0x95bebfff  libbz2.1.0.dylib ??? (???) <9ea4fe135c9e52bd0590eec12c738e82> /usr/lib/libbz2.1.0.dylib
0x95bec000 - 0x95bf1fff  com.apple.backup.framework 1.0 (1.0) /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x95bf2000 - 0x95ca2fff  edu.mit.Kerberos 6.0.12 (6.0.12) <685cc018c133668d0d3ac6a1cb63cff9> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x95ca3000 - 0x95cccfff  com.apple.CoreMediaPrivate 15.0 (15.0) /System/Library/PrivateFrameworks/CoreMediaPrivate.framework/Versions/A/CoreMediaPrivate
0x95ccd000 - 0x95e13ff7  com.apple.ImageIO.framework 2.0.4 (2.0.4) <6a6623d3d1a7292b5c3763dcd108b55f> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x95e14000 - 0x95ea0ff7  com.apple.LaunchServices 290.3 (290.3) <6f9629f4ed1ba3bb313548e6838b2888> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x95ea1000 - 0x95eb0fff  libsasl2.2.dylib ??? (???) <bb7971ca2f609c070f87786a93d1041e> /usr/lib/libsasl2.2.dylib
0x95eb1000 - 0x95eb1ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x95eb2000 - 0x96017fe7  com.apple.JavaScriptCore 5528 (5528.15) <a1edf2b00622f9d833987cb333b432ac> /System/Library/Frameworks/JavaScriptCore.framework/Versions/A/JavaScriptCore
0x96018000 - 0x96150ff7  libicucore.A.dylib ??? (???) <18098dcf431603fe47ee027a60006c85> /usr/lib/libicucore.A.dylib
0x96181000 - 0x96185fff  com.apple.CoreMediaAuthoringPrivate 1.6 (1.6) /System/Library/PrivateFrameworks/CoreMediaAuthoringPrivate.framework/Versions/A/CoreMediaAuthoringPrivate
0x96186000 - 0x96460ff3  com.apple.CoreServices.CarbonCore 786.11 (786.11) <f06fe5d92d56ac5aa52d1ba182745924> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x96461000 - 0x967fefef  com.apple.QuartzCore 1.5.7 (1.5.7) <2fed2dd7565c84a0f0c608d41d4d172c> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x967ff000 - 0x967ffffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x96800000 - 0x9681fffa  libJPEG.dylib ??? (???) <e7eb56555109e23144924cd64aa8daec> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x9682a000 - 0x96830fff  com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x96831000 - 0x9688bff7  com.apple.CoreText 2.0.4 (???) <f9a90116ae34a2b0d84e87734766fb3a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x9688c000 - 0x9698ffe7  com.apple.PubSub 1.0.4 (65.6) /System/Library/Frameworks/PubSub.framework/Versions/A/PubSub
0x96990000 - 0x969a0fff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <06d8fc0307314f8ffc16f206ad3dbf44> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x969b5000 - 0x969f6fe7  libRIP.A.dylib ??? (???) <5d0b5af7992e14de017f9a9c7cb05960> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x969f7000 - 0x96bb3ff3  com.apple.QuartzComposer 2.1 (106.13) <40f034e8c8fd31c9081f5283dcf22b78> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzComposer.framework/Versions/A/QuartzComposer
0x96bb4000 - 0x96beafef  libtidy.A.dylib ??? (???) <5351215b54226cc47eb1cd4b011cc2f3> /usr/lib/libtidy.A.dylib
0x96beb000 - 0x96c7efff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x96c7f000 - 0x96c83fff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x96c84000 - 0x96ce0ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x96ce1000 - 0x96ce1ffe  com.apple.MonitorPanelFramework 1.2.0 (1.2.0) <a2b462be6c51187eddf7d097ef0e0a04> /System/Library/PrivateFrameworks/MonitorPanel.framework/Versions/A/MonitorPanel
0x96ce2000 - 0x96d20ff7  libGLImage.dylib ??? (???) <1123b8a48bcbe9cc7aa8dd8e1a214a66> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x96d21000 - 0x96d28ff7  libCGATS.A.dylib ??? (???) <386dce4b28448fb86e33e06ac466f4d8> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x96d29000 - 0x96e09fff  libobjc.A.dylib ??? (???) <7b92613fdf804fd9a0a3733a0674c30b> /usr/lib/libobjc.A.dylib
0x96e0a000 - 0x96e3bffb  com.apple.quartzfilters 1.5.0 (1.5.0) <22581f8fe9dd2cb261f97a897407ec3e> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/QuartzFilters.framework/Versions/A/QuartzFilters
0x96e3c000 - 0x96e44fff  com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x96e78000 - 0x96f32fe3  com.apple.CoreServices.OSServices 226.5 (226.5) <2a135d4fb16f4954290f7b72b4111aa3> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x96f33000 - 0x9706bfe7  com.apple.imageKit 1.0.2 (1.0) <2e354566521df8b1e3a78e9aeab5e6b4> /System/Library/Frameworks/Quartz.framework/Versions/A/Frameworks/ImageKit.framework/Versions/A/ImageKit
0x9706c000 - 0x9723aff3  com.apple.security 5.0.4 (34102) <55dda7486df4e8e1d61505be16f83a1c> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x9723b000 - 0x97256ffb  libPng.dylib ??? (???) <4780e979d35aa5ec2cea22678836cea5> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x97257000 - 0x9757cfe2  com.apple.QuickTime 7.6.0 (1290) <bc0920abbbaad03f5513ac7ffbd30633> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0xba900000 - 0xba916fff  libJapaneseConverter.dylib ??? (???) <7b0248c392848338f5d6ed093313eeef> /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0xbab00000 - 0xbab21fe2  libKoreanConverter.dylib ??? (???) <51586b8d9ef39123fbe6918f12d8285f> /System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib
Comment 1 Geoffrey Garen 2009-05-08 19:23:49 PDT
4/24/09 3:12 PM Geoff Garen:
Symbolicated:
    0   com.apple.JavaScriptCore      	0x95fb1604 JSC::BytecodeGenerator::emitComplexJumpScopes(JSC::Label*, JSC::ControlFlowContext*, JSC::ControlFlowContext*) + 468 (/SourceCache/JavaScriptCore/JavaScriptCore-5528.15/bytecompiler/BytecodeGenerator.cpp:1576)
    1   com.apple.JavaScriptCore      	0x95f8ba6d JSC::BytecodeGenerator::emitJumpScopes(JSC::Label*, int) + 301 (/SourceCache/JavaScriptCore/JavaScriptCore-5528.15/bytecompiler/BytecodeGenerator.cpp:1594)

5/1/09 12:13 AM Geoff Garen:
BytecodeGenerator.cpp:
        do {
            ASSERT(topScope->isFinallyBlock);
            emitJumpSubroutine(topScope->finallyContext.retAddrDst, topScope->finallyContext.finallyAddr);
            --topScope;
            if (!topScope->isFinallyBlock) // <-- CRASH (BytecodeGenerator.cpp:1576)
                break;
        } while (topScope > bottomScope);

5/1/09 12:16 AM Geoff Garen:
Looks like this code is unmodified since its initial merge in http://trac.webkit.org/changeset/33979.

5/8/09 7:20 PM Geoff Garen:
Another idea: the set of tokens that can cause an emitComplexJumpScopes is pretty limited. Try writing a fuzzer to create different combinations and nesting levels regarding those tokens, and see if you can get it to crash.
Comment 2 Geoffrey Garen 2009-05-08 19:24:47 PDT
<rdar://problem/6634956>
Comment 3 Cameron Zwarich (cpst) 2009-05-08 21:50:06 PDT
The dying read is to

0x000000001964fff4

The ControlFlowContext struct consists of 3 words, one bool and two pointers from FinallyContext. There is no special alignment beyond this, so the ControlFlowContexts in m_scopeContextStack are spaced 3 words apart. It is attempting to read from the first word of a ControlFlowContext, so the previous ControlFlowContext is at

0x0000000019650000

This is a page boundary! We have crossed over a page boundary decrementing topScope. Normally this isn't a problem, as long as we can read from topScope->isFinallyBlock, since we bail out of the loop at the break statement or at the guard below it. However, if we can't read it, we die before the comparison in the loop guard. The fix is to turn the do/while loop into a plain while loop with the guard

(topScope > bottomScope && topScope->isFinallyBlock).

I reviewed this change from Geoff. He should land it shortly.
Comment 4 Geoffrey Garen 2009-05-08 22:02:04 PDT
Created attachment 30151 [details]
patch w/test
Comment 5 Geoffrey Garen 2009-05-08 22:26:37 PDT
Committed revision 43428.